# UndirectedVertex | data-structure-typed
Documentation for data-structure-typed

# Class UndirectedVertex

#### Hierarchy

- AbstractVertex
  - UndirectedVertex

- Defined in src/data-structures/graph/undirected-graph.ts:9

#####
Index

### Constructors

constructor

### Accessors

id

## Constructors

### constructor

- new UndirectedVertex(id): UndirectedVertex

- #### Parameters

  - ##### id: VertexId

  #### Returns UndirectedVertex

  Overrides AbstractVertex.constructor

  - Defined in src/data-structures/graph/undirected-graph.ts:10

## Accessors

### id

- get id(): VertexId

- #### Returns VertexId

  Inherited from AbstractVertex.id

  - Defined in src/data-structures/graph/abstract-graph.ts:16
- set id(v): void

- #### Parameters

  - ##### v: VertexId

  #### Returns void

  Inherited from AbstractVertex.id

  - Defined in src/data-structures/graph/abstract-graph.ts:20

Generated using TypeDoc